Skip to main content

Create Legal Page

Create a legal page in your workspace. The new legal page is a draft.

Request​

POST /legals

Request Body​

ParameterTypeRequiredDescription
namestringYesLegal page name (max 255 characters)

Example Request​

curl -X POST "https://app.easy.tools/api/v1/legals" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"name": "Site policies"
}'

Response​

Success Response (201 Created)​

{
"data": {
"id": "91e4c0a8-3f72-4b15-a6d9-0e8c2f5b1d63",
"slug": "site-policies",
"name": "Site policies",
"status": "draft",
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-15T10:30:00.000Z",
"published_at": null
}
}

Response Fields​

The created legal page has the fields described in Legal Page Object.

Error Responses​

Validation Error (422 Unprocessable Entity)​

{
"error": {
"code": "VALIDATION_ERROR",
"message": "The given data was invalid",
"details": {
"name": ["name should not be empty"]
}
}
}

Authentication, permission, and rate-limit errors are described in Authorization.